Accessibility - Select 'other' text field label incorrect

Bug #1606744 reported by Ghada El-Zoghbi on 2016-07-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Unassigned
15.04
Medium
Unassigned
15.10
Medium
Unassigned
16.04
Medium
Unassigned
16.10
Medium
Unassigned

Bug Description

Mahara: master

Input text fields should have a label and/or use the 'aria-labelled by' property to bind multiple inputs to a label.

Please refer to: http://webaim.org/techniques/forms/controls#input

An example where it is needed is in the screen (artefact/internal/socialprofile.php):

* Social media > New social media account

The input box (id=editprofileform_profiletype_other) next to "Other" is not linked to a label. Screen readers refer to it as "edit".

tags: added: accessibility
Changed in mahara:
milestone: none → 16.10.0
importance: Undecided → Medium
status: New → Confirmed

Re-purposing this bug to deal with the example in the original report.

The bug being the 'other' field in a Pieform select field with 'allowother' set to true doesn't have the correct 'for' value set in the label.

Changed in mahara:
status: Confirmed → In Progress
summary: - Accessibility - Text placeholders / missing labels
+ Accessibility - Select 'other' text field label incorrect

Reviewed: https://reviews.mahara.org/6806
Committed: https://git.mahara.org/mahara/mahara/commit/cf42e66bb8464f181149165f81c24b8d57e0c45e
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit cf42e66bb8464f181149165f81c24b8d57e0c45e
Author: Robert Lyon <email address hidden>
Date: Sat Aug 6 13:00:31 2016 +1200

Bug 1606744: Correcting linking 'other' label for pieform select

The label tag had an incomplete 'for' attribute.

Change-Id: I2879b032cb63a33bb4a5caf40c9c70b2eea55d78
Signed-off-by: Robert Lyon <email address hidden>

Ghada El-Zoghbi (ghada-z) wrote :

Hi,

This covers some of the accessibility issues but it doesn't cover this item:

* From/To date in the 'Shared by me' menu

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/7209

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/7210

Reviewed: https://reviews.mahara.org/7210
Committed: https://git.mahara.org/mahara/mahara/commit/586dcf1a6af7bfcb4c7868be7e4044214887f407
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 586dcf1a6af7bfcb4c7868be7e4044214887f407
Author: Robert Lyon <email address hidden>
Date: Sat Aug 6 13:00:31 2016 +1200

Bug 1606744: Correcting linking 'other' label for pieform select

The label tag had an incomplete 'for' attribute.

Change-Id: I2879b032cb63a33bb4a5caf40c9c70b2eea55d78
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit cf42e66bb8464f181149165f81c24b8d57e0c45e)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7209
Committed: https://git.mahara.org/mahara/mahara/commit/9d845b54f757bd9ed06df3880676fd525b97afa5
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 9d845b54f757bd9ed06df3880676fd525b97afa5
Author: Robert Lyon <email address hidden>
Date: Sat Aug 6 13:00:31 2016 +1200

Bug 1606744: Correcting linking 'other' label for pieform select

The label tag had an incomplete 'for' attribute.

Change-Id: I2879b032cb63a33bb4a5caf40c9c70b2eea55d78
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit cf42e66bb8464f181149165f81c24b8d57e0c45e)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7208
Committed: https://git.mahara.org/mahara/mahara/commit/a27a87a880d65f06001c20baa93f56571c960743
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit a27a87a880d65f06001c20baa93f56571c960743
Author: Robert Lyon <email address hidden>
Date: Sat Aug 6 13:00:31 2016 +1200

Bug 1606744: Correcting linking 'other' label for pieform select

The label tag had an incomplete 'for' attribute.

Change-Id: I2879b032cb63a33bb4a5caf40c9c70b2eea55d78
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit cf42e66bb8464f181149165f81c24b8d57e0c45e)

Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers